
Smart Proxy - Feature #1005

Add support for fence-agents (remote power control)

06/22/2011 07:25 PM - Corey Osman

Status: Duplicate   

Priority: Normal   

Assignee: Corey Osman   

Category: BMC   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I would like to control power from smart-proxy via fence agents and eventually integrate with foreman.

Related issues:

Related to Foreman - Feature #426: Ability to power cycle hosts Closed 11/03/2010

Is duplicate of Smart Proxy - Feature #1829: add bmc ipmi support to smart proxy Closed 08/17/2012

History

#1 - 06/22/2011 09:01 PM - Corey Osman

I made some code modifications and I'll submit a patch soon.  Here is the output of the updated code that looks for puppet or puppetca.

D, [2011-06-22T17:27:58.799695 #9207] DEBUG -- : Found puppetca at /opt/puppet/bin/puppet

D, [2011-06-22T17:27:58.799834 #9207] DEBUG -- : Found sudo at /usr/bin/sudo

D, [2011-06-22T17:27:58.799892 #9207] DEBUG -- : Executing /usr/bin/sudo S /opt/puppet/bin/puppet cert --list --all

D, [2011-06-22T17:56:41.440743 #10433] DEBUG - : Found puppetca at /opt/puppet/bin/puppet cert

D, [2011-06-22T17:56:41.440859 #10433] DEBUG -- : Found sudo at /usr/bin/sudo

D, [2011-06-22T17:56:41.440927 #10433] DEBUG -- : Executing /usr/bin/sudo S /opt/puppet/bin/puppet cert --list --all

D, [2011-06-22T17:58:20.907048 #10509] DEBUG - : Found puppetca at /opt/puppet/bin/puppet cert

D, [2011-06-22T17:58:20.907168 #10509] DEBUG -- : Found sudo at /usr/bin/sudo

D, [2011-06-22T17:58:20.907213 #10509] DEBUG -- : Executing /usr/bin/sudo -S /opt/puppet/bin/puppet cert --list --all

#2 - 06/22/2011 09:02 PM - Corey Osman

Crap wrong ticket, disregard above

#3 - 08/28/2012 04:26 AM - Ohad Levy

- Status changed from New to Duplicate

fixed in #1829

#4 - 08/28/2012 04:26 AM - Ohad Levy

- Category set to BMC

- Assignee set to Corey Osman

- Target version set to 1.1
